Parselv1.0.0
EShip

Create shipment

Purchases a shipping label using a `rate_id` obtained from the quotation endpoint. Optionally specify `label_format`.

POST
/compatible/eship/rest/shipment

Authorization

authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

eShip shipment request

Response Body

application/json

application/json

curl -X POST "https://api.parsel.app/compatible/eship/rest/shipment" \  -H "Content-Type: application/json" \  -d '{    "label_format": "PDF",    "rate_id": "123e4567-e89b-12d3-a456-426614174000"  }'
{
  "commercial_invoice": true,
  "commercial_invoice_url": "string",
  "fulfillment": {
    "order_num": "string",
    "status": "string",
    "store": "string"
  },
  "label_url": "string",
  "object_id": "string",
  "status": "SUCCESS",
  "tracking_number": "string",
  "tracking_url_custom": "string",
  "tracking_url_provider": "string"
}
{
  "message": "string",
  "status": "ERROR"
}